/* 
 * Copyright (C) 1997-2004 The CDG Team <cdg@nats.informatik.uni-hamburg.de>
 *  
 * This file is free software; as a special exception the author gives
 * unlimited permission to copy and/or distribute it, with or without 
 * modifications, as long as this notice is preserved.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
 * implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 * Birth: 10.5.1
 * $Id: compile.h,v 1.16 2004/02/25 14:28:02 micha Exp $
 */

/* -------------------------------------------------------------------------
 * @addtogroup Compiler 
 * @{ 
 */
#ifndef COMPILE_H
#define COMPILE_H

/* -- INCLUDES ---------------------------------------------------------- */
#include <blah.h>
#include "input.h"

/* -- FUNCTIONS --------------------------------------------------------- */

Boolean comInitGrammar(Input);
Input comLoad(String filename);
String comCompile(int no, char **args);
void comApprove(int no, char **args);
void comFinalize(void);
void comFinitGrammar(Input);
void comInitialize(void);

/* ---------------------------------------------------------------------- */
/** @} */
#endif /* don't insert anything after this #endif */
